Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.crosstabs.base
Class JRBaseCrosstabDataset

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseElementDataset
          net.sf.jasperreports.crosstabs.base.JRBaseCrosstabDataset

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRCrosstabDataset, JRCloneable, JRElementDataset

    public class JRBaseCrosstabDataset

extends JRBaseElementDataset
implements JRCrosstabDataset

Base implementation of crosstab input dataset.

Version:
  $Id: JRBaseCrosstabDataset.java 3941 2010-08-20 10:55:10Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected boolean` | `dataPreSorted`

Fields inherited from class net.sf.jasperreports.engine.base.JRBaseElementDataset
`datasetRun, incrementGroup, incrementTypeValue, incrementWhenExpression, resetGroup, resetTypeValue`

Constructor Summary
`JRBaseCrosstabDataset(JRCrosstabDataset dataset, JRBaseObjectFactory factory)`

Method Summary
`void` | `collectExpressions(JRExpressionCollector collector)`
`boolean` | `isDataPreSorted()` Returns whether the crosstab data is pre-sorted according to the crosstab's groups.

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseElementDataset
`clone, getDatasetRun, getIncrementGroup, getIncrementType, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetType, getResetTypeValue`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRElementDataset
`getDatasetRun, getIncrementGroup, getIncrementType, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetType, getResetTypeValue`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Field Detail

### dataPreSorted

    protected boolean dataPreSorted

Constructor Detail

### JRBaseCrosstabDataset

    public JRBaseCrosstabDataset(JRCrosstabDataset dataset,
                                 JRBaseObjectFactory factory)

Method Detail

### collectExpressions

    public void collectExpressions(JRExpressionCollector collector)

  Specified by:
    `collectExpressions` in interface `JRElementDataset`

### isDataPreSorted

    public boolean isDataPreSorted()

  Description copied from interface: `JRCrosstabDataset`
  Returns whether the crosstab data is pre-sorted according to the crosstab's groups.

  The crosstab calculation engine can optimize the calculations if the data is sorted by the row groups and column groups. For example, if there are two row groups R1 and R2 (subgroup of R1) and three column groups C1, C2 and C3 the data should be sorted by R1, R2, C1, C2, C3.

  Specified by:
    `isDataPreSorted` in interface `JRCrosstabDataset`
  Returns:
    whether the crosstab data is pre-sorted

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com